org.eclipse.emf.cdo.security

## Interface SecurityFactory

- All Superinterfaces:
    EFactory, EModelElement, EObject, Notifier
  All Known Implementing Classes:
    SecurityFactoryImpl

      public interface SecurityFactory
      extends EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `SecurityPackage`
  Generated
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SecurityFactory` | `eINSTANCE` The singleton instance of the factory.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AndFilter` | `createAndFilter()` Returns a new object of class 'And Filter'.
    `AndFilter` | `createAndFilter(PermissionFilter... operands)` Returns a new object of class 'And Filter'.
    `ClassFilter` | `createClassFilter()` Returns a new object of class 'Class Filter'.
    `ClassFilter` | `createClassFilter(EClass eClass)`
    `ClassPermission` | `createClassPermission()` Deprecated. As of 4.3 use `createFilterPermission()` and `createClassFilter()`.
    `ClassPermission` | `createClassPermission(EClass eClass, Access access)` Deprecated. As of 4.3 use `createFilterPermission(Access, PermissionFilter...)` and `createClassFilter(EClass)`.
    `Directory` | `createDirectory()` Returns a new object of class 'Directory'.
    `Directory` | `createDirectory(String name)`
    `ExpressionFilter` | `createExpressionFilter()` Returns a new object of class 'Expression Filter'.
    `ExpressionFilter` | `createExpressionFilter(Expression expression)`
    `FilterPermission` | `createFilterPermission()` Returns a new object of class 'Filter Permission'.
    `FilterPermission` | `createFilterPermission(Access access, PermissionFilter... filters)`
    `Group` | `createGroup()` Returns a new object of class 'Group'.
    `Group` | `createGroup(String id)`
    `LinkedFilter` | `createLinkedFilter()` Returns a new object of class 'Linked Filter'.
    `NotFilter` | `createNotFilter()` Returns a new object of class 'Not Filter'.
    `NotFilter` | `createNotFilter(PermissionFilter operand)`
    `OrFilter` | `createOrFilter()` Returns a new object of class 'Or Filter'.
    `OrFilter` | `createOrFilter(PermissionFilter... operands)` Returns a new object of class 'Or Filter'.
    `PackageFilter` | `createPackageFilter()` Returns a new object of class 'Package Filter'.
    `PackageFilter` | `createPackageFilter(EPackage ePackage)`
    `PackagePermission` | `createPackagePermission()` Deprecated. As of 4.3 use `createFilterPermission()` and `createPackageFilter()`.
    `PackagePermission` | `createPackagePermission(EPackage ePackage, Access access)` Deprecated. As of 4.3 use `createFilterPermission(Access, PermissionFilter...)` and `createPackageFilter(EPackage)`.
    `Realm` | `createRealm()` Returns a new object of class 'Realm'.
    `Realm` | `createRealm(String name)`
    `Realm` | `createRealm(String name, Access defaultAccess)`
    `ResourceFilter` | `createResourceFilter()` Returns a new object of class 'Resource Filter'.
    `ResourceFilter` | `createResourceFilter(String path)`
    `ResourceFilter` | `createResourceFilter(String path, PatternStyle PatternStyle)`
    `ResourceFilter` | `createResourceFilter(String path, PatternStyle PatternStyle, boolean includeParents)`
    `ResourcePermission` | `createResourcePermission()` Deprecated. As of 4.3 use `createFilterPermission()` and `createResourceFilter()`.
    `ResourcePermission` | `createResourcePermission(String pattern, Access access)` Deprecated. As of 4.3 use `createFilterPermission()` and `createResourceFilter(String)`.
    `Role` | `createRole()` Returns a new object of class 'Role'.
    `Role` | `createRole(String id)`
    `User` | `createUser()` Returns a new object of class 'User'.
    `User` | `createUser(String id)`
    `User` | `createUser(String id, String password)`
    `UserPassword` | `createUserPassword()` Returns a new object of class 'User Password'.
    `SecurityPackage` | `getSecurityPackage()` Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final SecurityFactory eINSTANCE

      The singleton instance of the factory.
      Generated

  - ### Method Detail

    - #### createRealm

          Realm createRealm()

      Returns a new object of class 'Realm'.
      Returns:
        a new object of class 'Realm'.
      Generated

    - #### createRealm

          Realm createRealm(String name)

      Since:
        4.2

    - #### createRealm

          Realm createRealm(String name,
                            Access defaultAccess)

      Since:
        4.2

    - #### createDirectory

          Directory createDirectory()

      Returns a new object of class 'Directory'.
      Returns:
        a new object of class 'Directory'.
      Generated

    - #### createDirectory

          Directory createDirectory(String name)

      Since:
        4.2

    - #### createRole

          Role createRole()

      Returns a new object of class 'Role'.
      Returns:
        a new object of class 'Role'.
      Generated

    - #### createRole

          Role createRole(String id)

      Since:
        4.2

    - #### createGroup

          Group createGroup()

      Returns a new object of class 'Group'.
      Returns:
        a new object of class 'Group'.
      Generated

    - #### createGroup

          Group createGroup(String id)

      Since:
        4.2

    - #### createUser

          User createUser()

      Returns a new object of class 'User'.
      Returns:
        a new object of class 'User'.
      Generated

    - #### createUser

          User createUser(String id)

      Since:
        4.2

    - #### createUser

          User createUser(String id,
                          String password)

      Since:
        4.2

    - #### createUserPassword

          UserPassword createUserPassword()

      Returns a new object of class 'User Password'.
      Returns:
        a new object of class 'User Password'.
      Generated

    - #### createClassPermission

          @Deprecated
          ClassPermission createClassPermission()

      Deprecated. As of 4.3 use `createFilterPermission()` and `createClassFilter()`.
      Returns a new object of class 'Class Permission'.
      Returns:
        a new object of class 'Class Permission'.
      Generated

    - #### createClassPermission

          @Deprecated
          ClassPermission createClassPermission(EClass eClass,
                                                             Access access)

      Deprecated. As of 4.3 use `createFilterPermission(Access, PermissionFilter...)` and `createClassFilter(EClass)`.
      Since:
        4.2

    - #### createPackagePermission

          @Deprecated
          PackagePermission createPackagePermission()

      Deprecated. As of 4.3 use `createFilterPermission()` and `createPackageFilter()`.
      Returns a new object of class 'Package Permission'.
      Returns:
        a new object of class 'Package Permission'.
      Generated

    - #### createPackagePermission

          @Deprecated
          PackagePermission createPackagePermission(EPackage ePackage,
                                                                 Access access)

      Deprecated. As of 4.3 use `createFilterPermission(Access, PermissionFilter...)` and `createPackageFilter(EPackage)`.
      Since:
        4.2

    - #### createResourcePermission

          @Deprecated
          ResourcePermission createResourcePermission()

      Deprecated. As of 4.3 use `createFilterPermission()` and `createResourceFilter()`.
      Returns a new object of class 'Resource Permission'.
      Returns:
        a new object of class 'Resource Permission'.
      Generated

    - #### createResourcePermission

          @Deprecated
          ResourcePermission createResourcePermission(String pattern,
                                                                   Access access)

      Deprecated. As of 4.3 use `createFilterPermission()` and `createResourceFilter(String)`.
      Since:
        4.2

    - #### createFilterPermission

          FilterPermission createFilterPermission()

      Returns a new object of class 'Filter Permission'.
      Returns:
        a new object of class 'Filter Permission'.
      Since:
        4.3
      Generated

    - #### createLinkedFilter

          LinkedFilter createLinkedFilter()

      Returns a new object of class 'Linked Filter'.
      Returns:
        a new object of class 'Linked Filter'.
      Since:
        4.3
      Generated

    - #### createFilterPermission

          FilterPermission createFilterPermission(Access access,
                                                  PermissionFilter... filters)

      Since:
        4.3

    - #### createPackageFilter

          PackageFilter createPackageFilter()

      Returns a new object of class 'Package Filter'.
      Returns:
        a new object of class 'Package Filter'.
      Since:
        4.3
      Generated

    - #### createPackageFilter

          PackageFilter createPackageFilter(EPackage ePackage)

      Since:
        4.3

    - #### createClassFilter

          ClassFilter createClassFilter()

      Returns a new object of class 'Class Filter'.
      Returns:
        a new object of class 'Class Filter'.
      Since:
        4.3
      Generated

    - #### createClassFilter

          ClassFilter createClassFilter(EClass eClass)

      Since:
        4.3

    - #### createResourceFilter

          ResourceFilter createResourceFilter()

      Returns a new object of class 'Resource Filter'.
      Returns:
        a new object of class 'Resource Filter'.
      Since:
        4.3
      Generated

    - #### createResourceFilter

          ResourceFilter createResourceFilter(String path)

      Since:
        4.3

    - #### createResourceFilter

          ResourceFilter createResourceFilter(String path,
                                              PatternStyle PatternStyle)

      Since:
        4.3

    - #### createResourceFilter

          ResourceFilter createResourceFilter(String path,
                                              PatternStyle PatternStyle,
                                              boolean includeParents)

      Since:
        4.3

    - #### createExpressionFilter

          ExpressionFilter createExpressionFilter()

      Returns a new object of class 'Expression Filter'.
      Returns:
        a new object of class 'Expression Filter'.
      Since:
        4.3
      Generated

    - #### createExpressionFilter

          ExpressionFilter createExpressionFilter(Expression expression)

      Since:
        4.3

    - #### createNotFilter

          NotFilter createNotFilter()

      Returns a new object of class 'Not Filter'.
      Returns:
        a new object of class 'Not Filter'.
      Since:
        4.3
      Generated

    - #### createAndFilter

          AndFilter createAndFilter()

      Returns a new object of class 'And Filter'.
      Returns:
        a new object of class 'And Filter'.
      Since:
        4.3
      Generated

    - #### createOrFilter

          OrFilter createOrFilter()

      Returns a new object of class 'Or Filter'.
      Returns:
        a new object of class 'Or Filter'.
      Since:
        4.3
      Generated

    - #### createNotFilter

          NotFilter createNotFilter(PermissionFilter operand)

      Since:
        4.3

    - #### createAndFilter

          AndFilter createAndFilter(PermissionFilter... operands)

      Returns a new object of class 'And Filter'.
      Returns:
        a new object of class 'And Filter'.
      Since:
        4.3
      Generated
        NOT

    - #### createOrFilter

          OrFilter createOrFilter(PermissionFilter... operands)

      Returns a new object of class 'Or Filter'.
      Returns:
        a new object of class 'Or Filter'.
      Since:
        4.3
      Generated
        NOT

    - #### getSecurityPackage

          SecurityPackage getSecurityPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html